clone.Niche {galgo} | R Documentation

## Clones itself and its chromosomes

### Description

Clones itself and its chromosomes. Objects in S3 and this package are passed by reference and any “pointer” to it will affect the original object. You must clone an object in order to conserve the original values.

### Usage

    ## S3 method for class 'Niche'
    clone(.O, ...)

### Value

Returns a new cloned object.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

For more information see `Niche`., `Object`

### Examples

      cr <- Chromosome(genes=newCollection(Gene(shape1=1, shape2=100),5))
      ni <- Niche(chromosomes=newRandomCollection(cr, 10))
      ni
      ni2 <- ni
      generateRandom(ni2)
      ni2
      ni			# ni and ni2 are the very same object
      ni3 <- clone(ni2)
      generateRandom(ni3)
      ni3
      ni2			# now ni2 is different to ni3
      ni			# but ni2 is still the same than ni

[Package galgo version 1.4 Index]